Bug 815143 - SELinux is preventing /usr/bin/python2.7 from 'create' accesses on the unix_dgram_socket .
SELinux is preventing /usr/bin/python2.7 from 'create' accesses on the unix_d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2ba1a65556e318b5d8b480c2bbc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 16:53 EDT by slitherxcamel
Modified: 2012-04-25 01:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-118.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-25 01:00:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description slitherxcamel 2012-04-22 16:53:09 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.2-8.fc17.x86_64
time:           Sun 22 Apr 2012 04:46:37 PM EDT

description:
:SELinux is preventing /usr/bin/python2.7 from 'create' accesses on the unix_dgram_socket .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that python2.7 should be allowed create access on the  unix_dgram_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep glance-registry /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:glance_registry_t:s0
:Target Context                system_u:system_r:glance_registry_t:s0
:Target Objects                 [ unix_dgram_socket ]
:Source                        glance-registry
:Source Path                   /usr/bin/python2.7
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           python-2.7.3-3.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-116.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.2-8.fc17.x86_64 #1 SMP Sat
:                              Apr 21 12:44:25 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Sun 22 Apr 2012 04:29:53 PM EDT
:Last Seen                     Sun 22 Apr 2012 04:29:53 PM EDT
:Local ID                      aa0b69b5-1956-440a-bd66-867e5f6d064c
:
:Raw Audit Messages
:type=AVC msg=audit(1335126593.704:196): avc:  denied  { create } for  pid=892 comm="glance-registry" scontext=system_u:system_r:glance_registry_t:s0 tcontext=system_u:system_r:glance_registry_t:s0 tclass=unix_dgram_socket
:
:
:type=SYSCALL msg=audit(1335126593.704:196): arch=x86_64 syscall=socket success=no exit=EACCES a0=1 a1=80002 a2=0 a3=7f118976b500 items=0 ppid=1 pid=892 auid=4294967295 uid=161 gid=161 euid=161 suid=161 fsuid=161 egid=161 sgid=161 fsgid=161 tty=(none) ses=4294967295 comm=glance-registry exe=/usr/bin/python2.7 subj=system_u:system_r:glance_registry_t:s0 key=(null)
:
:Hash: glance-registry,glance_registry_t,glance_registry_t,unix_dgram_socket,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-04-23 08:04:10 EDT
Fixed in selinux-policy-3.10.0-118.fc17
Comment 2 Fedora Update System 2012-04-23 21:08:02 EDT
selinux-policy-3.10.0-118.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-118.fc17
Comment 3 Fedora Update System 2012-04-23 23:15:58 EDT
Package selinux-policy-3.10.0-118.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-118.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6452/selinux-policy-3.10.0-118.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-25 01:00:17 EDT
selinux-policy-3.10.0-118.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.